Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.util
Class QueryAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._2._1.query.util.QueryAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class QueryAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `QueryPackage`

Constructor Summary
`QueryAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryRequestTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryResponseTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationBranchTypeAdapter()` Creates a new adapter for an object of class '`Association Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Association Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationQueryTypeAdapter()` Creates a new adapter for an object of class '`Association Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAuditableEventQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Auditable Event Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAuditableEventQueryTypeAdapter()` Creates a new adapter for an object of class '`Auditable Event Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createBooleanClauseTypeAdapter()` Creates a new adapter for an object of class '`Boolean Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationNodeQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Classification Node Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationNodeQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Node Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Classification Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationSchemeQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Classification Scheme Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationSchemeQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Scheme Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassifiedByBranchTypeAdapter()` Creates a new adapter for an object of class '`Classified By Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClauseTypeAdapter()` Creates a new adapter for an object of class '`Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createCompoundClauseTypeAdapter()` Creates a new adapter for an object of class '`Compound Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createExtrinsicObjectQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Extrinsic Object Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createExtrinsicObjectQueryTypeAdapter()` Creates a new adapter for an object of class '`Extrinsic Object Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFilterQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Filter Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFilterQueryTypeAdapter()` Creates a new adapter for an object of class '`Filter Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFilterTypeAdapter()` Creates a new adapter for an object of class '`Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createGetContentRequestTypeAdapter()` Creates a new adapter for an object of class '`Get Content Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createGetContentResponseTypeAdapter()` Creates a new adapter for an object of class '`Get Content Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createInternationalStringBranchTypeAdapter()` Creates a new adapter for an object of class '`International String Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createOrganizationQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Organization Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createOrganizationQueryTypeAdapter()` Creates a new adapter for an object of class '`Organization Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRationalClauseTypeAdapter()` Creates a new adapter for an object of class '`Rational Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryEntryQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Registry Entry Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryEntryQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Entry Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryObjectQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Object Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryPackageQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Registry Package Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryPackageQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Package Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createResponseOptionTypeAdapter()` Creates a new adapter for an object of class '`Response Option Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceBindingBranchTypeAdapter()` Creates a new adapter for an object of class '`Service Binding Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceQueryResultTypeAdapter()` Creates a new adapter for an object of class '`Service Query Result Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceQueryTypeAdapter()` Creates a new adapter for an object of class '`Service Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSimpleClauseTypeAdapter()` Creates a new adapter for an object of class '`Simple Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSlotBranchTypeAdapter()` Creates a new adapter for an object of class '`Slot Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSpecificationLinkBranchTypeAdapter()` Creates a new adapter for an object of class '`Specification Link Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createStringClauseTypeAdapter()` Creates a new adapter for an object of class '`String Clause Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createUserBranchTypeAdapter()` Creates a new adapter for an object of class '`User Branch Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAdapterFactory

    public QueryAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAdhocQueryRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryRequestTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryRequestType`

### createAdhocQueryResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryResponseTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryResponseType`

### createAssociationBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationBranchTypeAdapter()

  Creates a new adapter for an object of class '`Association Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationBranchType`

### createAssociationQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Association Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationQueryResultType`

### createAssociationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Association Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationQueryType`

### createAuditableEventQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditableEventQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Auditable Event Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditableEventQueryResultType`

### createAuditableEventQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditableEventQueryTypeAdapter()

  Creates a new adapter for an object of class '`Auditable Event Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditableEventQueryType`

### createBooleanClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanClauseTypeAdapter()

  Creates a new adapter for an object of class '`Boolean Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanClauseType`

### createClassificationNodeQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationNodeQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Classification Node Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationNodeQueryResultType`

### createClassificationNodeQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationNodeQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Node Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationNodeQueryType`

### createClassificationQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Classification Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationQueryResultType`

### createClassificationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationQueryType`

### createClassificationSchemeQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationSchemeQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Classification Scheme Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationSchemeQueryResultType`

### createClassificationSchemeQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationSchemeQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Scheme Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationSchemeQueryType`

### createClassifiedByBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassifiedByBranchTypeAdapter()

  Creates a new adapter for an object of class '`Classified By Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassifiedByBranchType`

### createClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClauseTypeAdapter()

  Creates a new adapter for an object of class '`Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClauseType`

### createCompoundClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCompoundClauseTypeAdapter()

  Creates a new adapter for an object of class '`Compound Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompoundClauseType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createExtrinsicObjectQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExtrinsicObjectQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Extrinsic Object Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtrinsicObjectQueryResultType`

### createExtrinsicObjectQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExtrinsicObjectQueryTypeAdapter()

  Creates a new adapter for an object of class '`Extrinsic Object Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtrinsicObjectQueryType`

### createFilterQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Filter Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterQueryResultType`

### createFilterQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterQueryTypeAdapter()

  Creates a new adapter for an object of class '`Filter Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterQueryType`

### createFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterTypeAdapter()

  Creates a new adapter for an object of class '`Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterType`

### createGetContentRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGetContentRequestTypeAdapter()

  Creates a new adapter for an object of class '`Get Content Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GetContentRequestType`

### createGetContentResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGetContentResponseTypeAdapter()

  Creates a new adapter for an object of class '`Get Content Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GetContentResponseType`

### createInternationalStringBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createInternationalStringBranchTypeAdapter()

  Creates a new adapter for an object of class '`International String Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InternationalStringBranchType`

### createOrganizationQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrganizationQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Organization Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrganizationQueryResultType`

### createOrganizationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrganizationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Organization Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrganizationQueryType`

### createRationalClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRationalClauseTypeAdapter()

  Creates a new adapter for an object of class '`Rational Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RationalClauseType`

### createRegistryEntryQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryEntryQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Registry Entry Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryEntryQueryResultType`

### createRegistryEntryQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryEntryQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Entry Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryEntryQueryType`

### createRegistryObjectQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryObjectQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Object Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryObjectQueryType`

### createRegistryPackageQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryPackageQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Registry Package Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryPackageQueryResultType`

### createRegistryPackageQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryPackageQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Package Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryPackageQueryType`

### createResponseOptionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createResponseOptionTypeAdapter()

  Creates a new adapter for an object of class '`Response Option Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResponseOptionType`

### createServiceBindingBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceBindingBranchTypeAdapter()

  Creates a new adapter for an object of class '`Service Binding Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceBindingBranchType`

### createServiceQueryResultTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceQueryResultTypeAdapter()

  Creates a new adapter for an object of class '`Service Query Result Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceQueryResultType`

### createServiceQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceQueryTypeAdapter()

  Creates a new adapter for an object of class '`Service Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceQueryType`

### createSimpleClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSimpleClauseTypeAdapter()

  Creates a new adapter for an object of class '`Simple Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SimpleClauseType`

### createSlotBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSlotBranchTypeAdapter()

  Creates a new adapter for an object of class '`Slot Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SlotBranchType`

### createSpecificationLinkBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSpecificationLinkBranchTypeAdapter()

  Creates a new adapter for an object of class '`Specification Link Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SpecificationLinkBranchType`

### createStringClauseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStringClauseTypeAdapter()

  Creates a new adapter for an object of class '`String Clause Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringClauseType`

### createUserBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUserBranchTypeAdapter()

  Creates a new adapter for an object of class '`User Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserBranchType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD